## Typing stubs for cachetools

This is a [PEP 561](https://peps.python.org/pep-0561/)
type stub package for the [`cachetools`](https://github.com/tkem/cachetools) package.
It can be used by type-checking tools like
[mypy](https://github.com/python/mypy/),
[pyright](https://github.com/microsoft/pyright),
[pytype](https://github.com/google/pytype/),
[Pyre](https://pyre-check.org/),
PyCharm, etc. to check code that uses `cachetools`. This version of
`types-cachetools` aims to provide accurate annotations for
`cachetools==6.0.*`.

This package is part of the [typeshed project](https://github.com/python/typeshed).
All fixes for types and metadata should be contributed there.
See [the README](https://github.com/python/typeshed/blob/main/README.md)
for more details. The source for this package can be found in the
[`stubs/cachetools`](https://github.com/python/typeshed/tree/main/stubs/cachetools)
directory.

This package was tested with
mypy 1.15.0,
pyright 1.1.400,
and pytype 2024.10.11.
It was generated from typeshed commit
[`57cb510fd2e81a2a1749c792aacf78ebe4649d05`](https://github.com/python/typeshed/commit/57cb510fd2e81a2a1749c792aacf78ebe4649d05).